package com.lightinit.hsdataportal.service;

import com.lightinit.hsdataportal.entity.ResourceAuth;
import com.lightinit.hsdataportal.model.FollowDataListModel;
import com.lightinit.hsdataportal.model.MyDataShareListModel;

import java.util.List;

public interface IMyDataService {
    List<MyDataShareListModel> getIndex(Long resourceAuthId,Long applierId, String platformType);

    MyDataShareListModel selectResourceAuth(Long applierId,Long id,String platformType);

    List<FollowDataListModel> getFollowDateList(Long applierId,String platformType);

    Long getResourceAuthId(Long id, Long userId, String platformType);
}
